Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007539 [DCSS] Patches feature N/A 2013-09-06 18:48 2014-09-28 20:36
Reporter BlackSheep View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007539: Patch: Allow all species to select unarmed combat from the weapon choice menu
Description Currently, only species with claws can start off unarmed when choosing a background that allows a weapon selection. There didn't seem to be a good reason for that so I created this patch that opens the option to all species. Unarmed is always listed as restricted (dark grey) unless you have claws.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Make-unarmed-a-valid-newgame-choice-for-all-species.patch [^] (2,226 bytes) 2013-09-06 18:48 [Show Content]

- Relationships

-  Notes
(0027369)
wheals (administrator)
2014-09-28 20:36

elliptic and PleasingFungus seemed to be supportive as well; in trunk in 0.16-a0-824-g931e68f.

- Issue History
Date Modified Username Field Change
2013-09-06 18:48 BlackSheep New Issue
2013-09-06 18:48 BlackSheep File Added: 0001-Make-unarmed-a-valid-newgame-choice-for-all-species.patch
2014-01-30 09:24 Medar Issue Monitored: Medar
2014-09-28 20:36 wheals Note Added: 0027369
2014-09-28 20:36 wheals Status new => resolved
2014-09-28 20:36 wheals Fixed in Branch => 0.16 development branch
2014-09-28 20:36 wheals Resolution open => done
2014-09-28 20:36 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker